import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
export declare class ItemService {
    private http;
    private SCHEMASharePoint;
    private SLASH;
    private OPERATION;
    constructor(http: HttpClient);
    getItems(webURL: string, listName: string, viewFields: string, query: string, queryOptions: string): Observable<string>;
    private getSOAPMessage(listName, viewFields, query, queryOptions);
    private getListItemsSOAPEnvelope();
    private callWebService(url, msg);
    private getPayload(listName, query, queryOptions, viewFields);
    private wrapNode(n, v);
    private getAJAXUrl(webURL);
    private encodeXml(str);
    private getSOAPEnvelope();
    private getCurrentSite();
}
